org.eclipse.wst.jsdt.chromium.debug.ui.actions

## Class PushChangesAction

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.actions.SelectionBasedAction<T>
  - - org.eclipse.wst.jsdt.chromium.debug.ui.actions.SelectionBasedAction.Single<RES>
    - - org.eclipse.wst.jsdt.chromium.debug.ui.actions.V8ScriptAction
      - - org.eclipse.wst.jsdt.chromium.debug.ui.actions.PushChangesAction

    public class PushChangesAction
    extends V8ScriptAction

The main action of LiveEdit feature. It gets the current state of a working file and pushes it into running V8 VM.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.wst.jsdt.chromium.debug.ui.actions.SelectionBasedAction

`SelectionBasedAction.ActionRunnable, SelectionBasedAction.Single<T>`

### Constructor Summary

Constructors
Constructor and Description
`PushChangesAction()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected RES` `castElement(java.lang.Object element)` User-provided method that casts raw selection element to user type T.
`static LiveEditResultDialog.ErrorPositionHighlighter` `createPositionHighlighter(IWorkbenchPart workbenchPart)`
`protected void` `execute(java.util.List<? extends ScriptTargetMapping> filePairList, Shell shell, IWorkbenchPart workbenchPart)`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.ui.actions.V8ScriptAction

`createRunnable`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.ui.actions.SelectionBasedAction.Single

`readSelection`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.ui.actions.SelectionBasedAction

`dispose, getAction, init, modifyActionText, restoreActionText, run, runWithEvent, selectionChanged, setActivePart`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PushChangesAction

    public PushChangesAction()

### Method Detail

#### execute

    protected void execute(java.util.List<? extends ScriptTargetMapping> filePairList,
                           Shell shell,
                           IWorkbenchPart workbenchPart)

Specified by:
  `execute` in class `V8ScriptAction`

#### createPositionHighlighter

    public static LiveEditResultDialog.ErrorPositionHighlighter createPositionHighlighter(IWorkbenchPart workbenchPart)

#### castElement

    protected RES castElement(java.lang.Object element)

Description copied from class: `SelectionBasedAction.Single`
User-provided method that casts raw selection element to user type T. Method may return null which means that this raw object should be ignored.

Specified by:
  `castElement` in class `SelectionBasedAction.Single<RES>`